## org.hibernate.ejb.packaging
Class FileFilter

    java.lang.Object
      org.hibernate.ejb.packaging.Filter
          org.hibernate.ejb.packaging.FileFilter

    public abstract class FileFilter

extends Filter

Filter use to match a file by its name

Author:
  Emmanuel Bernard

Constructor Summary
`FileFilter(boolean retrieveStream)`

Method Summary
`abstract boolean` `accept(String name)` Return true if the fully qualified file name match

Methods inherited from class org.hibernate.ejb.packaging.Filter
`getStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileFilter

    public FileFilter(boolean retrieveStream)

Parameters:
  `retrieveStream` - Give back an open stream to the matching element or not

Method Detail

### accept

    public abstract boolean accept(String name)

  Return true if the fully qualified file name match

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.